Attachments
Upload files to send with a message. 3 endpoints
POST /attachments
/api/v1/attachments · Needs a session
Request body
| Field | Type | Required | Notes |
|---|---|---|---|
name | string | yes | length 1–200 |
mediaType | string | yes | length 0–100 |
data | string | yes | length 1–13981018 |
Example
bash
curl -X POST 'https://api.lexcetha.com/api/v1/attachments' \
-H "Authorization: Bearer $LEX_TOKEN" \
-H 'Content-Type: application/json' \
-d '{"name":"string","mediaType":"string","data":"string"}'GET /attachments/{id}/content
/api/v1/attachments/{id}/content · Needs a session
Parameters
| Field | Type | Required | Notes |
|---|---|---|---|
id (path) | string | yes |
Example
bash
curl -X GET 'https://api.lexcetha.com/api/v1/attachments/:id/content' \
-H "Authorization: Bearer $LEX_TOKEN"DELETE /attachments/{id}
/api/v1/attachments/{id} · Needs a session
Parameters
| Field | Type | Required | Notes |
|---|---|---|---|
id (path) | string | yes |
Example
bash
curl -X DELETE 'https://api.lexcetha.com/api/v1/attachments/:id' \
-H "Authorization: Bearer $LEX_TOKEN"